# Class CSS3DSprite

#### Hierarchy (View Summary)

- CSS3DObject
  - CSS3DSprite

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:21

##### Index

### Constructors

constructor

### Properties

element
isCSS3DObject
isCSS3DSprite
onAfterRender
onBeforeRender
rotation2D

### Methods

copy

## Constructors

### constructor

- new CSS3DSprite(element?: HTMLElement): CSS3DSprite

  #### Parameters

  - `Optional` element: HTMLElement

  #### Returns CSS3DSprite

  Overrides CSS3DObject.constructor

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:23

## Properties

### element

element: HTMLElement

Inherited from CSS3DObject.element

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:12

### `Readonly` isCSS3DObject

isCSS3DObject: true

Inherited from CSS3DObject.isCSS3DObject

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:11

### `Readonly` isCSS3DSprite

isCSS3DSprite: true

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:25

### onAfterRender

onAfterRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls after rendering object

Inherited from CSS3DObject.onAfterRender

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:15

### onBeforeRender

onBeforeRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls before rendering object

Inherited from CSS3DObject.onBeforeRender

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:14

### rotation2D

rotation2D: number

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:26

## Methods

### copy

- copy(source: CSS3DObject, recursive?: boolean): this

  #### Parameters

  - source: CSS3DObject
  - `Optional` recursive: boolean

  #### Returns this

  Inherited from CSS3DObject.copy

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:17